from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XMouseClickHandler(XEventListener, Protocol):
    def mousePressed(self, e: MouseEvent) -> bool: ...
    def mouseReleased(self, e: MouseEvent) -> bool: ...
